Skip to content
GET /notification-destination/{id}

Response Body

configobject

The destination's settings. The shape depends on type.

One of
Slack · 2 properties
ignored_status_codesnumber[]

For api_errors events, HTTP status codes not to notify about.

Example: [404]
webhook_urlstring

A Slack incoming webhook URL. Returned masked as ********. A PATCH that sends ******** back, or leaves the field out, keeps the stored URL.

Example: https://hooks.slack.com/services/T000/B000/XXXX
Email · 4 properties
bccstring[]
ccstring[]
subject_prefixstring
Example: [Truto]
tostring[]
Example: ["alerts@example.com"]
created_atstring · date-time
environment_idstring · uuid
event_typesstring[]

The notification event types this destination receives.

Example: ["api_errors","integrated_account:created"]
idstring · uuid

The ID of the notification destination.

is_activeboolean

Whether notifications are sent to this destination.

labelstring
Example: Ops channel
typestring
Possible values:
slackemail
updated_atstring · date-time
curl -X GET 'https://api.truto.one/notification-destination/{id}' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const response = await fetch('https://api.truto.one/notification-destination/{id}', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/notification-destination/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
}

response = requests.get(url, headers=headers, params=params)
print(response.json())